## cryptsetup 1.3.0

=== debian/changelog ===
cryptsetup (2:1.3.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - French (Julien Patriarca).  Closes: #633105
    - Vietnamese (Hung Tran).  Closes: #641719
    - Portuguese (Miguel Figueiredo).  Closes: #641839
    - Russian (Yuri Kozlov).  Closes: #641947
    - Swedish (Martin Bagge / brother).  Closes: #642470,#640056
    - Czech (Michal Simunek).  Closes: #642540
    - Dutch; (Jeroen Schot).  Closes: #643633
    - Spanish; (Camaleón).  Closes: #643962
    - Danish (Joe Hansen).  Closes: #644853

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Dec 2011 19:00:24 +0100

cryptsetup (2:1.3.0-3) unstable; urgency=low

  * drop the loopback magick from cryptdisks scripts. Mario 'Bitkoenig' Holbe
    pointed out, that auto-destruction support was added to the loopback driver
    with kernel 2.6.25. Given, that even lenny has a more recent kernel,
    support for kernels < 2.6.25 is not required any more. (closes: #626458)
  * add debconf question 'prerm/active-mappings' with priority high to prerm
    maintainer script. will warn about active dm-crypt mappings before the
    package is removed/purged. (closes: #626641)
  * add lintian-override for 'cryptsetup: no-debconf-config', as the debconf
    question in prerm doesn't require a debconf config script.
  * add debian/patches/03_create_fix_keyfile.patch. (closes: #626738)

 -- Jonas Meurer <mejo@debian.org>  Thu, 19 May 2011 20:50:08 +0200

cryptsetup (2:1.3.0-2) unstable; urgency=low

  * fix changelog of 2:1.3.0-1 release, thanks to Thorsten Glaser for the hint

 -- Jonas Meurer <mejo@debian.org>  Thu, 12 May 2011 03:06:46 +0200

cryptsetup (2:1.3.0-1) unstable; urgency=low

  * new upstream release
    - automatically allocates loopback device for container files. update the
      cryptdisks functions to only setup loopback device for kernel < 2.6.35.
      otherwise, let cryptsetup do the magic itself.
    - introduces maximum default keyfile size, see --help for value. manually
      set the keyfile size with --keyfile-size in order to overwrite the limit.
    - adds luksChangeKey command for changing passphrase/keyfile in one step
    - adds loopAES compatibility command loopaesOpen
    - remove d/patches/01_luksAddKey_return_code.patch, incorporated upstream
  * add gettext support to luksformat script. Thanks to intrigeri for initial
    patch, and adduser sources for implementation ideas. (closes: #558405)
  * fix KEYSCRIPT checks in cryptdisks.functions for empty values.
  * update REAMDE.gnupg and initramfs cryptgnupg hook script:
    - warn about keys being copied to initramfs.
    - fix the documentation to provide working examples.
  * update README.Debian and related documentation:
    - add a section about the 'special' keyscripts askpass and passdev
      (closes: #601314)
    - update several sections, remove reference to lenny
  * add debian/patches/01_create_fix_size.patch, to fix a regression in 1.2.0
    where the size argument was ignored for create command (closes: #624828)
  * add debian/patches/02_manpage.patch, escapes minus signs in manpage
  * remove usplash support from cryptroot initramfs script, askpass and
    keyscripts, add plymouth support to keyscripts. (closes: #620923)
  * ignore options like cipher, hash, size, etc. for luks commands in
    cryptdisks. mention this in the crypttab manpage. (closes: #619249)
  * again check for existance of /lib/cryptsetup/cryptdisks.functions before
    sourcing it in cryptdisks(-early).init. required if cryptsetup is removed
    but not purged, where initscripts are still around. (closes: #625468)
  * bump standards-version to 3.9.2, no changes needed.
  * debian/libcryptsetup1.symbols: update, 1.3.0 adds new function symbols

 -- Jonas Meurer <mejo@debian.org>  Wed, 11 May 2011 14:45:42 +0200

cryptsetup (2:1.2.0-2) unstable; urgency=low

  * upload to unstable.
  * fixes a ftbfs due to updated libgpg-error and libgcrypt11 build-
    dependencies. (closes: #614530)
  * install cryptkeyctl initramfs hook, needed for keyctl keyscript in
    initramfs, thanks to Maik Zumstrull (closes: #610750)
  * use 'egrep -c' instead of wc in cryptdisks_st* scripts, wc might not be
    available as it's located at /usr/bin. Thanks to Mario 'BitKoenig' Holbe
    for bugreport and patch. (closes: #611747)
  * add debian/patches/01_luksAddKey_return_code.patch, fixes the luksAddKey
    return code when the master key is used. (closes: #610366)
  * fix luksformat script to invoke usage() with --help. (closes: #612947)
  * add a paragraph about known upgrade issues to the crypttab manpage. this
    paragraph strongly suggests to configure cipher, hash and keysize for
    plain dm-crypt devices. (closes: #612452)
  * fix examples in crypttab manpage, cipher, hash and keysize should be
    configured for plain dm-crypt devices.
  * luksformat: invoke udevadm settle between mkfs.vfat and luksClose, to
    prevent possible race conditions. This is a workaround. (closes: #601886)
  * update lintian-overrides for new lintian from experimental.
  * fix spelling mistake in README.Debian thanks to lintian.
  * update short and long description for udebs to mention udeb and
    debian-installer. This satisfies lintian.
  * fix get_resume_device() in initramfs cryptroot hook script to add source
    device for decrypt_derived keyscript in case it's not the root device.
    Thanks to Robert Lange and mahashakti89 for bugreport. (closes: #592430)

 -- Jonas Meurer <mejo@debian.org>  Mon, 07 Mar 2011 23:52:13 +0100

cryptsetup (2:1.2.0-1) experimental; urgency=low

  * new major upstream release (closes: #603804)
    - adds text version of FAQ
    - adds new options --use-random and --use-urandom for MK generation
    - fixes luksRemoveKey to not ask for remaining keyslot passphrase
    - no longer supports luksDelKey command (replaced by luksKillSlot)

