=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_VERSION := $(strip $(shell LC_ALL=C dpkg-parsechangelog          |          \
                               egrep '^Version:' | head -n1 | cut -f2 -d ' '    ))
DEB_DATE    := $(strip $(shell LC_ALL=C dpkg-parsechangelog          |          \
                               egrep '^Date:'    | head -n1 | cut -f2- -d ' ' | \
                               LC_ALL=C date --file=- +%F                       ))

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	find -xtype f ! -name manifest > manifest
	autoreconf --force --install
	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
		--prefix=/usr \
		--libdir=/lib \
		--sbindir=/sbin \
		--mandir=/usr/share/man \
		--enable-shared
	find -xtype f > manifest.new
	diff manifest manifest.new | grep '>' | cut -b3- > config.mess
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# generate manpages
	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
		debian/doc/variables.xml.in > debian/doc/variables.xml
	xsltproc --nonet --xinclude -o debian/doc/ \
		/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
		debian/doc/manpages.xml
	pod2man --section=8 --center="Administrative commands" --release="" debian/scripts/luksformat \
		debian/luksformat.8
	# generate gettext po files (for luksformat)
	$(MAKE) -C debian/scripts/po all luksformat.pot
	# build upstream cryptsetup
	$(MAKE)
	# build askpass and passdev keyscripts
	gcc -Wall -pedantic -std=c99 debian/askpass.c -o debian/askpass
	gcc -Wall -pedantic -std=c99 debian/passdev.c -o debian/scripts/passdev
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	mkdir -p $(CURDIR)/debian/cryptsetup-udeb
	mkdir -p $(CURDIR)/debian/libcryptsetup1-udeb
	$(MAKE) DESTDIR=$(CURDIR)/debian/cryptsetup install

	# Copy library files to library packages
	cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.so.* \
		$(CURDIR)/debian/libcryptsetup1/lib/
	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.la \
	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.a \
	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
	cp -a $(CURDIR)/debian/cryptsetup/lib/pkgconfig/libcryptsetup.pc \
		$(CURDIR)/debian/libcryptsetup-dev/usr/lib/pkgconfig/
	cp -a $(CURDIR)/debian/cryptsetup/usr/include/libcryptsetup.h \
		$(CURDIR)/debian/libcryptsetup-dev/usr/include/
	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.so \
	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
	dh_link -plibcryptsetup-dev lib/libcryptsetup.so.1 usr/lib/libcryptsetup.so

	# Remove libraries from cryptsetup package, they're shiped in seperate library packags
	rm -rf $(CURDIR)/debian/cryptsetup/lib/libcryptsetup*
	rm -rf $(CURDIR)/debian/cryptsetup/lib/pkgconfig
	rm -rf $(CURDIR)/debian/cryptsetup/usr/include

	install -m 0644 debian/cryptdisks.functions $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
	install -m 0755 debian/checks/* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/checks/
	install -m 0755 debian/scripts/luksformat $(CURDIR)/debian/cryptsetup/usr/sbin/
	install -m 0755 debian/scripts/cryptdisks_start $(CURDIR)/debian/cryptsetup/sbin/
	install -m 0755 debian/scripts/cryptdisks_stop $(CURDIR)/debian/cryptsetup/sbin/
	dh_link -pcryptsetup sbin/cryptdisks_start usr/sbin/cryptdisks_start
	dh_link -pcryptsetup sbin/cryptdisks_stop usr/sbin/cryptdisks_stop
	install -m 0755 debian/scripts/decrypt_* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/scripts/
	install -m 0755 debian/scripts/passdev $(CURDIR)/debian/cryptsetup/lib/cryptsetup/scripts/
	install -m 0755 debian/askpass $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
	install -m 0755 debian/initramfs/cryptgnupg-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptgnupg
	install -m 0755 debian/initramfs/cryptkeyctl-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptkeyctl
	install -m 0755 debian/initramfs/cryptopenct-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptopenct
	install -m 0755 debian/initramfs/cryptopensc-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptopensc
	install -m 0755 debian/initramfs/cryptopensc-script-local-bottom \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/scripts/local-bottom/cryptopensc
	install -m 0755 debian/initramfs/cryptopensc-script-local-top \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/scripts/local-top/cryptopensc
	install -m 0755 debian/initramfs/cryptpassdev-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptpassdev
	install -m 0644 debian/initramfs/cryptroot-conf \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/conf-hooks.d/cryptsetup
	install -m 0755 debian/initramfs/cryptroot-hook \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/hooks/cryptroot
	install -m 0755 debian/initramfs/cryptroot-script \
		$(CURDIR)/debian/cryptsetup/usr/share/initramfs-tools/scripts/local-top/cryptroot
	install -m 0755 debian/cryptsetup.reportbug-script \
		$(CURDIR)/debian/cryptsetup/usr/share/bug/cryptsetup
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
	install -m 0644 debian/cryptsetup.apport \
		$(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
endif
	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup install
	touch $@

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a debian/scripts/gen-ssl-key
	dh_installinit -a --no-start --name=cryptdisks-early --update-rcd-params="start 26 S . start 59 0 6 ."
	dh_installinit -a --no-start --name=cryptdisks --update-rcd-params="start 28 S . start 48 0 6 ."
	dh_installman -a debian/doc/crypttab.5 debian/doc/cryptdisks_start.8 debian/doc/cryptdisks_stop.8 debian/luksformat.8
	# Copy relevant parts to cryptsetup-udeb package
	cp -a $(CURDIR)/debian/cryptsetup/etc $(CURDIR)/debian/cryptsetup-udeb/
	cp -a $(CURDIR)/debian/cryptsetup/lib $(CURDIR)/debian/cryptsetup-udeb/
	mkdir $(CURDIR)/debian/cryptsetup-udeb/sbin
	cp -a $(CURDIR)/debian/cryptsetup/sbin/cryptsetup $(CURDIR)/debian/cryptsetup-udeb/sbin/
	# Copy relevant parts to libcryptsetup1-udeb package
	cp -a $(CURDIR)/debian/libcryptsetup1/lib $(CURDIR)/debian/libcryptsetup1-udeb/
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a -V --add-udeb=libcryptsetup1-udeb
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_installdeb -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	# clean up the source directory
	if test -f Makefile; then $(MAKE) distclean; fi
	rm -f autom4te.cache
	rm -f manifest manifest.new
	rm -f debian/doc/*.[0-9] debian/doc/variables.xml
	rm -f debian/luksformat.8
	$(MAKE) -C debian/scripts/po update clean
	rm -f debian/scripts/passdev
	rm -f debian/askpass
	# clean up leftovers which where forgotten
