## cryptsetup 1.4.1

=== debian/changelog ===
cryptsetup (2:1.4.1-2ubuntu4) precise; urgency=low

  * Our swap creation can trigger udev change events, which means udev may be
    holding the device open at the time we try to call 'dmsetup rename' and
    cause the /subsequent/ events to be missed because of dmsetup creating
    device nodes by hand.  So call 'udevadm settle' before 'dmsetup rename',
    to ensure blkid is out of the way first.  This should ensure swap
    partitions are found by mountall in a non-racy manner.  LP: #874774.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 13 Apr 2012 20:23:21 -0700

cryptsetup (2:1.4.1-2ubuntu3) precise; urgency=low

  * Start cryptdisks-enable upstart job on 'or container', to let us
    simplify the udevtrigger job.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2012 17:02:00 -0700

cryptsetup (2:1.4.1-2ubuntu2) precise; urgency=low

  * Split up package in cryptsetup and cryptsetup-bin. (LP: #343363).
  * Do not overwrite existing filesystems when creating swap (LP: #474258).
  * Add aesni module when we have hardware encryption.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 12 Mar 2012 10:14:30 +0100

cryptsetup (2:1.4.1-2ubuntu1) precise; urgency=low

  [ Jean-Louis Dupond ]
  * Merge from debian unstable (LP: #776264), remaining changes:
    - debian/cryptdisks.functions: Suppress "Starting init crypto disks" message
      in "init" phase, to avoid writing over fsck progress text.
    - debian/cryptroot-hook: Quiet warnings from find on arches that
      don't have all the kernel/{arch,crypto} bits we're testing for.
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.
    - Add debian/cryptdisks-{enable,udev}.upstart.
    - debian/cryptdisks.functions:
      + new function, crypttab_start_one_disk, to look for the named source
        device in /etc/crypttab (by device name, UUID, or label) and start it
        if configured to do so
    - debian/cryptdisks{,-early}.init: Make the 'start' action of the init
      script a no-op, this should be handled entirely by the upstart job;
      and fix the LSB header to not declare this should be started in
      runlevel 'S'
    - debian/rules:
      + Do not install start symlinks for init scripts, and
        install debian/cryptdisks-{enable,udev}.upstart scripts.

  [ Steve Langasek ]
  * debian/cryptdisks.functions: handle the case where crypttab contains a
    name for the source device that is not the kernel's preferred name for
    it (as is the case for LVs).

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Thu, 08 Mar 2012 07:32:40 +0100

cryptsetup (2:1.4.1-2) unstable; urgency=low

  * acknowledge NMU. Thanks to Michael Biebl. (closes: #659182)
  * don't print error for non-encrypted rootfs in initramfs cryptroot hook.
    Thanks to Jamie Heilman and Christoph Anton Mitterer for bugreports.
    (closes: #659087, #659106)
  * use dmsetup splitname to extract VG name from $node in initramfs cryptroot
    hook. Thanks to Kai Weber for the bugreport, Milan Broz and Claudio
    Imbrenda for suggestions and patches. (closes: #659235)

 -- Jonas Meurer <mejo@debian.org>  Sun, 12 Feb 2012 15:51:11 +0100

cryptsetup (2:1.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dangling .so symlink. Don't hard code the library version but use
    readlink instead to determine where the .so symlink should point at.
    (closes: #659182)

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Feb 2012 04:32:01 +0100

cryptsetup (2:1.4.1-1) unstable; urgency=low

  * new upstream release (1.4.0 + 1.4.1) (closes: #647851)
    - fixes typo in german translation. (closes: #645528)
    - remove patches, all incorporated upstream.
    - soname bump, rename library package to libcryptsetup4
  * check for busybox in initramfs cryptroot hook, and install the sed binary
    in case it's either not installed or not activated. (closes: #591853)
  * add checks for 'type $KEYSCRIPT' to initscripts cryptdisks.functions, and
    to cryptroot initramfs script/hook. this adds support for keyscripts inside
    $PATH. thanks to Ian Jackson for the suggestion. (closes: #597583)
  * use argument '--sysinit' for vgchange in cryptroot initramfs script. Thanks
    to Christoph Anton Mitterer for the suggestion.
  * add option for discard/trim features to crypttab and initramfs scripts.
    Thanks to intrigeri and Peter Colberg for patches. (closes: #648868)
  * print $target on error in initramfs hook. Thanks to Daniel Hahler for the
    bugreport. (closes: #648192)
  * add a warning about using decrypt_derived keyscript for devices with
    persistent data. Thanks to Arno Wagner for pointing this out.
  * remove quotes from resume device candidates at get_resume_devs() in
    initramfs hook script. Thanks to Johannes Rohr. (closes: #634017)
  * support custom $TABFILE, thanks to Douglas Huff. (closes: #638317)
  * fix get_lvm_deps() in initramfs cryptroot hook to add all physical volumes
    of lvm volume group that contains the rootfs logical volume, even if the
    rootfs is lv is not spread over all physical volumes. Thanks to Christian
    Pernegger for bugreport and patch. (closes: #634109)
  * debian/initramfs/cryptroot-script: Move check for maximum number of tries
    behind the while loop, to make the warning appear in case that maximum
    number of tries is reached. Thanks to Chistian Lamparter for bugreport and
    patch. (closes: #646083)
  * incorporate changes to package descriptions and debconf templates that
    suggested by debian-l10n-english people. Special thanks go to Justin B Rye.
  * acknowledge NMU, thanks a lot to Christian Perrier for his great work on
    the i18n front. (closes: #633105, #641719, #641839, #641947, #642470,
    #640056, #642540, #643633, #643962, #644853)
  * add and update debconf translations:
    - italian, thanks to Milo Casagrande, Francesca Ciceri. (closes: #656933)

