=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,11 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CFLAGS = -Wall -g
+# Export dpkg build flags
+DEB_CFLAGS_MAINT_APPEND = -Wall
+DPKG_EXPORT_BUILDFLAGS  = 1
+-include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -40,7 +38,7 @@
 	dh_testdir
 	find -xtype f ! -name manifest > manifest
 	autoreconf --force --install
-	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
+	./configure $(confflags)  \
 		--prefix=/usr \
 		--libdir=/lib \
 		--sbindir=/sbin \
@@ -50,8 +48,11 @@
 	diff manifest manifest.new | grep '>' | cut -b3- > config.mess
 	touch $@
 
-build: build-stamp
 build-stamp: configure-stamp
+	touch $@
+
+
+build-indep: build-stamp
 	dh_testdir
 	# generate manpages
 	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
@@ -63,12 +64,16 @@
 		debian/luksformat.8
 	# generate gettext po files (for luksformat)
 	$(MAKE) -C debian/scripts/po all luksformat.pot
+
+build-arch: build-stamp
+	dh_testdir
 	# build upstream cryptsetup
 	$(MAKE)
 	# build askpass and passdev keyscripts
 	gcc -Wall -pedantic -std=c99 debian/askpass.c -o debian/askpass
 	gcc -Wall -pedantic -std=c99 debian/passdev.c -o debian/scripts/passdev
-	touch $@
+
+build: build-indep build-arch
 
 install: install-stamp
 install-stamp: build-stamp
@@ -76,33 +81,34 @@
 	dh_testroot
 	dh_clean
 	dh_installdirs
+	mkdir -p $(CURDIR)/debian/cryptsetup-bin
 	mkdir -p $(CURDIR)/debian/cryptsetup-udeb
-	mkdir -p $(CURDIR)/debian/libcryptsetup1-udeb
-	$(MAKE) DESTDIR=$(CURDIR)/debian/cryptsetup install
+	mkdir -p $(CURDIR)/debian/libcryptsetup4-udeb
+	$(MAKE) DESTDIR=$(CURDIR)/debian/cryptsetup-bin install
 
 	# Copy library files to library packages
-	cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.so.* \
-		$(CURDIR)/debian/libcryptsetup1/lib/
+	cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.so.* \
+		$(CURDIR)/debian/libcryptsetup4/lib/
 	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.la \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
 	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.a \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
-	cp -a $(CURDIR)/debian/cryptsetup/lib/pkgconfig/libcryptsetup.pc \
+	cp -a $(CURDIR)/debian/cryptsetup-bin/lib/pkgconfig/libcryptsetup.pc \
 		$(CURDIR)/debian/libcryptsetup-dev/usr/lib/pkgconfig/
-	cp -a $(CURDIR)/debian/cryptsetup/usr/include/libcryptsetup.h \
+	cp -a $(CURDIR)/debian/cryptsetup-bin/usr/include/libcryptsetup.h \
 		$(CURDIR)/debian/libcryptsetup-dev/usr/include/
 	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.so \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
-	dh_link -plibcryptsetup-dev lib/libcryptsetup.so.1 usr/lib/libcryptsetup.so
+	dh_link -plibcryptsetup-dev lib/$$(basename $$(readlink debian/cryptsetup-bin/lib/libcryptsetup.so)) usr/lib/libcryptsetup.so
 
 	# Remove libraries from cryptsetup package, they're shiped in seperate library packags
-	rm -rf $(CURDIR)/debian/cryptsetup/lib/libcryptsetup*
-	rm -rf $(CURDIR)/debian/cryptsetup/lib/pkgconfig
-	rm -rf $(CURDIR)/debian/cryptsetup/usr/include
+	rm -rf $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup*
+	rm -rf $(CURDIR)/debian/cryptsetup-bin/lib/pkgconfig
+	rm -rf $(CURDIR)/debian/cryptsetup-bin/usr/include
 
 	install -m 0644 debian/cryptdisks.functions $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
 	install -m 0755 debian/checks/* $(CURDIR)/debian/cryptsetup/lib/cryptsetup/checks/
-	install -m 0755 debian/scripts/luksformat $(CURDIR)/debian/cryptsetup/usr/sbin/
+	install -m 0755 debian/scripts/luksformat $(CURDIR)/debian/cryptsetup-bin/usr/sbin/
 	install -m 0755 debian/scripts/cryptdisks_start $(CURDIR)/debian/cryptsetup/sbin/
 	install -m 0755 debian/scripts/cryptdisks_stop $(CURDIR)/debian/cryptsetup/sbin/
 	dh_link -pcryptsetup sbin/cryptdisks_start usr/sbin/cryptdisks_start
@@ -137,7 +143,7 @@
 	install -m 0644 debian/cryptsetup.apport \
 		$(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
 endif
-	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup install
+	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup-bin install
 	touch $@
 
 binary-indep: build install
@@ -150,39 +156,28 @@
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_installexamples -a debian/scripts/gen-ssl-key
-	dh_installinit -a --no-start --name=cryptdisks-early --update-rcd-params="start 26 S . start 59 0 6 ."
-	dh_installinit -a --no-start --name=cryptdisks --update-rcd-params="start 28 S . start 48 0 6 ."
-	dh_installman -a debian/doc/crypttab.5 debian/doc/cryptdisks_start.8 debian/doc/cryptdisks_stop.8 debian/luksformat.8
+	dh_installinit -a --no-start --name=cryptdisks-early --update-rcd-params="start 59 0 6 ."
+	dh_installinit -a --no-start --name=cryptdisks --update-rcd-params="start 48 0 6 ."
+	dh_installinit -a --no-start --name=cryptdisks-enable --upstart-only
+	dh_installinit -a --no-start --name=cryptdisks-udev --upstart-only
+	dh_installman -a debian/doc/crypttab.5 debian/doc/cryptdisks_start.8 debian/doc/cryptdisks_stop.8
+	dh_installman -p cryptsetup-bin debian/luksformat.8
 	# Copy relevant parts to cryptsetup-udeb package
 	cp -a $(CURDIR)/debian/cryptsetup/etc $(CURDIR)/debian/cryptsetup-udeb/
 	cp -a $(CURDIR)/debian/cryptsetup/lib $(CURDIR)/debian/cryptsetup-udeb/
+	cp -a $(CURDIR)/debian/cryptsetup-bin/lib $(CURDIR)/debian/cryptsetup-udeb/
 	mkdir $(CURDIR)/debian/cryptsetup-udeb/sbin
-	cp -a $(CURDIR)/debian/cryptsetup/sbin/cryptsetup $(CURDIR)/debian/cryptsetup-udeb/sbin/
-	# Copy relevant parts to libcryptsetup1-udeb package
-	cp -a $(CURDIR)/debian/libcryptsetup1/lib $(CURDIR)/debian/libcryptsetup1-udeb/
+	cp -a $(CURDIR)/debian/cryptsetup-bin/sbin/cryptsetup $(CURDIR)/debian/cryptsetup-udeb/sbin/
+	# Copy relevant parts to libcryptsetup4-udeb package
+	cp -a $(CURDIR)/debian/libcryptsetup4/lib $(CURDIR)/debian/libcryptsetup4-udeb/
 	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_strip -a
-	dh_makeshlibs -a -V --add-udeb=libcryptsetup1-udeb
+	dh_makeshlibs -a -V --add-udeb=libcryptsetup4-udeb
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_installdeb -a
 	dh_md5sums -a
 	dh_builddeb -a
 
-binary: binary-indep binary-arch
-
-clean:
-	dh_testdir
-	dh_testroot
-	# clean up the source directory
-	if test -f Makefile; then $(MAKE) distclean; fi
-	rm -f autom4te.cache
-	rm -f manifest manifest.new
-	rm -f debian/doc/*.[0-9] debian/doc/variables.xml
-	rm -f debian/luksformat.8
-	$(MAKE) -C debian/scripts/po update clean
-	rm -f debian/scripts/passdev
-	rm -f debian/askpass
-	# clean up leftovers which where forgotten
