## cryptsetup 1.4.3

=== debian/changelog ===
cryptsetup (2:1.4.3-4ubuntu2) raring; urgency=low

  * Invert the "busybox | busybox-static" Recommends, as the latter
    is the one we ship in main as part of the ubuntu-standard task.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Nov 2012 01:14:35 -0700

cryptsetup (2:1.4.3-4ubuntu1) raring; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.

    - init/upstart jobs:
      + Rename cryptddisks{,-early}.upstart jobs to
        cryptdisks-{enable,udev}.upstart, as we need both init & upstart jobs
        for now.
      + debian/cryptdisks{,-early}.init: Make the 'start' action of the init
        script a no-op, this should be handled entirely by the upstart job;
      	and fix the LSB header to not declare this should be started in
      	runlevel 'S'.
      + Do not install start symlinks for init scripts
      + NB! shutdown is still handled by the SystemV init scripts

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 13 Nov 2012 11:17:57 +0000

cryptsetup (2:1.4.3-4) unstable; urgency=medium

  * change recommends for busybox to busybox | busybox-static. Thanks to
    Armin Haas for the bugreport. (closes: #692151)

 -- Jonas Meurer <mejo@debian.org>  Wed, 07 Nov 2012 16:12:25 +0100

cryptsetup (2:1.4.3-3) unstable; urgency=medium

  * add recommends for 'kbd, console-setup' to cryptsetup package. Both are
    necessary to support local keymap in initramfs. Thanks to Raphaël Hertzog
    for the bugreport. (closes: #689722)
  * move suggestion for 'initramfs-tools (>= 0.91) | linux-initramfs-tool,
    busybox' to recommends. Both are required for encrypted root fs.
  * remove suggestion for udev, most debian systems have it installed anyway.
  * mention option to use UUID=<luks_uuid> for source device in crypttab(5).
    Thanks to Felicitus for the bug report. (closes: #688786)
  * add a paragraph in README.initramfs: Describe, why renaming the target
    name is not supported for encrypted root devices. Thanks to Adam Lee for
    bugreport and proposed workaround for this limitation. (closes: #671037)
  * fix keyfile permission checks in cryptdisks init scripts to follow
    symlinks. Thanks to intrigeri for the bugreport. (closes: #691517)
  * fix owner group check for keyfile in cryptdisks init scripts to really
    check owner group.
  * update debconf translations:
    - brasilian portuguese, thanks to Adriano Rafael Gomes. (closes: #685762)
    - japanese, thanks to victory. (closes: #690784)
  * fix typo in manpages: s/passphase/passphrase. Thanks to Milan Broz for
    the bugreport. (closes: #684086)

 -- Jonas Meurer <mejo@debian.org>  Thu, 01 Nov 2012 15:34:09 +0100

cryptsetup (2:1.4.3-2ubuntu1) quantal; urgency=low

  * Merge from debian unstable (LP: #1015753), remaining changes:
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.

    - init/upstart jobs:
      + Add debian/cryptdisks-{enable,udev}.upstart for bootup.
      + debian/cryptdisks{,-early}.init: Make the 'start' action of the init
        script a no-op, this should be handled entirely by the upstart job;
      	and fix the LSB header to not declare this should be started in
      	runlevel 'S'.
      + Do not install start symlinks for init scripts
      + NB! shutdown is still handled by the SystemV init scripts

  * Rename cryptddisks{,-early}.upstart jobs back to
    cryptdisks-{enable,udev}.upstart, as we need both init & upstart jobs
    for now.

  * Dropped Changes, included in Debian:
    - debian/control:
      + Split up package in cryptsetup and cryptsetup-bin. (LP: #343363).

    - debian/cryptdisks.functions:
      + Do not overwrite existing filesystems when creating swap (LP: #474258).
      + Add aesni module when we have hardware encryption.
      + Call 'udevadm settle' before 'dmsetup rename' http://pad.lv/874774
      + Suppress "Starting init crypto disks" message in "init" phase, to
        avoid writing over fsck progress text.
      + new function, crypttab_start_one_disk, to look for the named source
        device in /etc/crypttab (by device name, UUID, or label) and start it
        if configured to do so
      + handle the case where crypttab contains a name for the source
        device that is not the kernel's preferred name for it (as is the case
        for LVs).

    - debian/initramfs/cryptroot-hook:
      + Quiet warnings from find on arches that don't have all the
        kernel/{arch,crypto} bits we're testing for.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 21 Aug 2012 11:57:28 +0100

cryptsetup (2:1.4.3-2) unstable; urgency=medium

  * fix the shared library symbols magic: so far, the symbols file for
    libcryptsetup4 included just a wildcard for all exported symbols, with
    libcrypsetup4 (>= 2:1.4) as minimum version. This was wrong. Symbols
    that were added later need adjusted minimum versions. Thanks for the
    great help in #debian-mentors. (closes: #677127)
  * remove emtpy directory /lib from cryptsetup-bin package.
  * compile askpass and passdev with CFLAGS, CPPFLAGS and LDFLAGS.

 -- Jonas Meurer <mejo@debian.org>  Tue, 12 Jun 2012 21:26:18 +0200

cryptsetup (2:1.4.3-1) unstable; urgency=low

  [ Jonas Meurer ]
  * mention limitations for keyscripts in crypttab(5) manpage: keyscripts
    must not depend on binaries/files which are part of the to-be-unlocked
    device. (closes: #665494)
  * bump versioned build-dependency on debhelper now that we install
    upstart initscripts in debian as well.
  * change versioned breaks/replaces for cryptsetup-bin on cryptsetup to
    1.4.3-1~, fixing upgrades in debian.

  [ Jean-Louis Dupond ]
  * New upstream version. (closes: #670071)
    - Fix keyslot removal (closes: #672299)

