=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	find -xtype f ! -name manifest > manifest
+	find -xtype f ! -name manifest >manifest
 	autoreconf --force --install
 	./configure $(confflags)  \
 		--prefix=/usr \
@@ -44,8 +44,8 @@
 		--sbindir=/sbin \
 		--mandir=/usr/share/man \
 		--enable-shared
-	find -xtype f > manifest.new
-	diff manifest manifest.new | grep '>' | cut -b3- > config.mess
+	find -xtype f >manifest.new
+	diff manifest manifest.new | grep '>' | cut -b3- >config.mess
 	touch $@
 
 build-stamp: configure-stamp
@@ -56,7 +56,7 @@
 	dh_testdir
 	# generate manpages
 	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
-		debian/doc/variables.xml.in > debian/doc/variables.xml
+		debian/doc/variables.xml.in >debian/doc/variables.xml
 	xsltproc --nonet --xinclude -o debian/doc/ \
 		/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
 		debian/doc/manpages.xml
@@ -70,8 +70,8 @@
 	# build upstream cryptsetup
 	$(MAKE)
 	# build askpass and passdev keyscripts
-	gcc -Wall -pedantic -std=c99 debian/askpass.c -o debian/askpass
-	gcc -Wall -pedantic -std=c99 debian/passdev.c -o debian/scripts/passdev
+	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic -std=c99 debian/askpass.c -o debian/askpass
+	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic -std=c99 debian/passdev.c -o debian/scripts/passdev
 
 build: build-indep build-arch
 
@@ -89,21 +89,20 @@
 	# Copy library files to library packages
 	cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.so.* \
 		$(CURDIR)/debian/libcryptsetup4/lib/
-	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.la \
+	#cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.la \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
-	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.a \
+	#cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.a \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
 	cp -a $(CURDIR)/debian/cryptsetup-bin/lib/pkgconfig/libcryptsetup.pc \
 		$(CURDIR)/debian/libcryptsetup-dev/usr/lib/pkgconfig/
 	cp -a $(CURDIR)/debian/cryptsetup-bin/usr/include/libcryptsetup.h \
 		$(CURDIR)/debian/libcryptsetup-dev/usr/include/
-	#cp -a $(CURDIR)/debian/cryptsetup/lib/libcryptsetup.so \
+	#cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.so \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/
 	dh_link -plibcryptsetup-dev lib/$$(basename $$(readlink debian/cryptsetup-bin/lib/libcryptsetup.so)) usr/lib/libcryptsetup.so
 
 	# Remove libraries from cryptsetup package, they're shiped in seperate library packags
-	rm -rf $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup*
-	rm -rf $(CURDIR)/debian/cryptsetup-bin/lib/pkgconfig
+	rm -rf $(CURDIR)/debian/cryptsetup-bin/lib
 	rm -rf $(CURDIR)/debian/cryptsetup-bin/usr/include
 
 	install -m 0644 debian/cryptdisks.functions $(CURDIR)/debian/cryptsetup/lib/cryptsetup/
@@ -165,7 +164,6 @@
 	# Copy relevant parts to cryptsetup-udeb package
 	cp -a $(CURDIR)/debian/cryptsetup/etc $(CURDIR)/debian/cryptsetup-udeb/
 	cp -a $(CURDIR)/debian/cryptsetup/lib $(CURDIR)/debian/cryptsetup-udeb/
-	cp -a $(CURDIR)/debian/cryptsetup-bin/lib $(CURDIR)/debian/cryptsetup-udeb/
 	mkdir $(CURDIR)/debian/cryptsetup-udeb/sbin
 	cp -a $(CURDIR)/debian/cryptsetup-bin/sbin/cryptsetup $(CURDIR)/debian/cryptsetup-udeb/sbin/
 	# Copy relevant parts to libcryptsetup4-udeb package
@@ -174,10 +172,8 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_strip -a
+	# Check for new/changed symbols in libcryptsetup
+	#dpkg-gensymbols -plibcryptsetup4 -Pdebian/libcryptsetup4 -Odebian/libcrypsetup4.symbols
 	dh_makeshlibs -a -V --add-udeb=libcryptsetup4-udeb
 	dh_shlibdeps -a
 	dh_gencontrol -a
-	dh_installdeb -a
-	dh_md5sums -a
-	dh_builddeb -a
-
